Subject: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Drew Adams <[email-masked]>
Date: Tue, 12 Jul 2016 13:51:50 +0000 (UTC)

> > > > > Middle/Near East was successful.  Clicking once more crashed Emacs.
> > > >
> > > > Looks like your problem is more basic than just one font.  Do other
> > > > (older) Emacs versions also crash trying to display HELLO?
> > >
> > > One more thing to try is start Emacs like this:
> > >   emacs -Q -xrm Emacs.fontBackend:gdi
> > > and then see if "C-h H" crashes Emacs.
> >
> > No, it does not crash (I used runemacs instead of emacs - let me know
> > if that invalidates the test).
> 
> I don't think this invalidates the test, but please also try with
> emacs.

Same thing - no crash.

> It sounds like the problem is with the Uniscribe DLL, usp10.dll.  How
> many of those do you have on your system, and in what directories?

I guess I don't have any of them.
Searching C: and D: drives for usp10.dll found nothing.

> Also, do you see the crashes in the Windows Event Viewer (under
> Application)?  If so, please post the details of one such log entry.

Dunno what that means.  You will need to give specific instructions.

> Finally, if you can get hold of a later binary of Emacs 25, please try
> that as well.  I'd like to be sure we are not chasing a wild goose
> here.
> 
> Thanks.

The latest build I have is this pretest, which also crashes using C-h H
from runemacs -Q, but which does not crash with C-h H from emacs -Q -xrm Emacs.fontBackend:gdi.

In GNU Emacs 25.0.94.1 (x86_64-w64-mingw32)
 of 2016-05-25 built on KAEL
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --prefix=/tmp/emacs --without-imagemagick
 --enable-checking=yes,glyphs --enable-check-lisp-object-type
 'CFLAGS=-Og -gdwarf-4 -g3''